using CoreLibrary.Joueurs;
using CoreLibrary.Core;
using CoreLibrary.Events;
using Xunit;

namespace UnitTesting
{
    public class NouveauTourEventArgsUT
    {
        [Fact]
        public void TestConstructeurValide()
        {
            Plateau monPlateau = new Plateau(4, 12);
            Joueur monJoueur = new Joueur("Céleste", monPlateau);

            NouveauTourEventArgs evenement = 
                new NouveauTourEventArgs(monJoueur, 5, monPlateau.Grille(), monPlateau.Indicateurs());

            Assert.Equal(monJoueur, evenement.Joueur);
            Assert.Equal(5, evenement.Tour);
            Assert.Equal(monPlateau.Grille(), evenement.Grille);
            Assert.Equal(monPlateau.Indicateurs(), evenement.Indicateurs);
        }

    }
}
